#include <stdio.h>

/**
 * 
 */
void sort(int arr[],int len)
{
    int i;
    for (i = 0; i < len - 1; i++)
    {
        int j;
        for ( j = i+1 ;j < len ;j++ )
        {
            if (arr[i] < arr[j])
            {
                int tmp;
                tmp = arr[i];arr[i] = arr[j]; arr[j] = tmp;
            }
        }
    }
}

int main(int argc,char *argv[])
{
    if (argc != 4)
    {
        printf("error!\n");
        return 1;
    }
    int arr[3];
    arr[0] = atoi(argv[1]);
    arr[1] = atoi(argv[2]);
    arr[2] = atoi(argv[3]);
    //printf("arr[0] = %d,arr[1] = %d,arr[2] = %d\n", arr[0],arr[1],arr[2]);
    sort(arr,3);
    //printf("arr[0] = %d,arr[1] = %d,arr[2] = %d\n", arr[0],arr[1],arr[2]);
    if (arr[2] + arr[1] <= arr[0])
    {
        printf("构不成三角形\n");
    }
    else if ( arr[1] == arr[2]) 
    {
        printf("等腰三角形\n");
    }
    else if ( arr[0] == arr[1] && arr[1] == arr[2])
    {
        printf("正三角形\n");
    }
    else 
    {
        printf("普通三角形\n");
    }
    return 0;
}
